<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
    <th:block th:include="fragments/header"></th:block>
</head>
<body>
    <div class="container-fluid px-0">
        <th:block th:include="fragments/navbar"></th:block>
        <div class="row justify-content-center">
            <div class="col-lg-6 col-md-12 col-sm-12 justify-content-center">
                <h1 class="text-center my-5">
                    Jelszó visszaállítása
                </h1>
                <div th:if="${passwordReset == 'key_not_empty'}"
                     class="alert alert-danger">
                    A link nem megfelelő!
                    Használja az email-ben kapott linket.
                </div>
                <div th:if="${passwordReset == 'key_format_not_correct'}"
                     class="alert alert-danger">
                    A link nem megfelelő!
                    Használja az email-ben kapott linket.
                </div>
                <div th:if="${passwordReset == 'key_not_found'}"
                     class="alert alert-danger">
                    A link nem megfelelő!
                    Használja az email-ben kapott linket.
                </div>
                <div th:if="${passwordReset == 'password_required'}"
                     class="alert alert-danger">
                    Jelszó megadása kötelező!
                </div>
                <div th:if="${passwordReset == 'password_format_not_correct'}"
                     class="alert alert-danger">
                    Jelszó formátuma nem megfelelő!
                </div>
                <div th:if="${passwordReset == 'two_password_not_equals'}"
                     class="alert alert-danger">
                    Két jelszó nem egyforma!
                </div>
                <div th:if="${passwordReset == 'email_not_found'}"
                     class="alert alert-danger">
                    Kérem próbálja meg újra használni az email-ben kapott linket!
                    Ha nem megy vegye fel velünk a kapcsolatot.
                </div>
                <form 
                    th:if="${passwordReset != 'key_not_empty' &&
                    passwordReset != 'key_format_not_correct' &&
                    passwordReset != 'key_not_found'}"
                    name="login"
                    th:action="@{/password-restore}"
                    th:object="${user}"
                    method="post">
                    <input type="hidden" id="email" th:field="*{emailAddress}" name="email"/>
                    <div class="form-group">
                        <input type="password" id="password" th:field="*{password}" name="password" class="form-control" placeholder="Új jelszó" />
                    </div>  
                    <div class="form-group">
                        <input type="password" id="confirmPassword" th:field="*{confirmPassword}" name="confirmPassword" class="form-control" placeholder="Új jelszó megint" />
                    </div>
                    <button class="btn btn-primary" id="submit">
                        Küldés
                        <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
                    </button>
                </form>
            </div>    
        </div>
    </div> 
<th:block th:include="fragments/footer"></th:block>
<script>
    $(document).ready(function () {
        $("#submit").click(function () {
            $(this).html(
                    `<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>`
                    );
        });
    });
</script>
</div>
</body>
</html>
